--- old/usr/src/uts/sun4u/cpu/common_asm.s	Thu Nov 14 19:00:38 2019
+++ new/usr/src/uts/sun4u/cpu/common_asm.s	Thu Nov 14 19:00:38 2019
@@ -22,9 +22,7 @@
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* !lint */
 
 /*
  * General assembly language routines.
@@ -213,16 +211,7 @@
 
 #include <sys/clock.h>
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/scb.h>
-#include <sys/systm.h>
-#include <sys/regset.h>
-#include <sys/sunddi.h>
-#include <sys/lockstat.h>
-#endif	/* lint */
 
-
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <sys/machparam.h>	/* To get SYSBASE and PAGESIZE */
@@ -234,18 +223,8 @@
 #include <sys/dditypes.h>
 #include <sys/intr.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* !lint */
 
-#if defined(lint)
-
-uint_t
-get_impl(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(get_impl)
 	GET_CPU_IMPL(%o0)
 	retl
@@ -252,20 +231,6 @@
 	nop
 	SET_SIZE(get_impl)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * Softint generated when counter field of tick reg matches value field 
- * of tick_cmpr reg
- */
-/*ARGSUSED*/
-void
-tickcmpr_set(uint64_t clock_cycles)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(tickcmpr_set)
 	! get 64-bit clock_cycles interval
 	mov	%o0, %o2
@@ -287,16 +252,6 @@
 	nop
 	SET_SIZE(tickcmpr_set)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-tickcmpr_disable(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(tickcmpr_disable)
 	mov	1, %g1
 	sllx	%g1, TICKINT_DIS_SHFT, %o0
@@ -305,25 +260,6 @@
 	nop
 	SET_SIZE(tickcmpr_disable)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- * tick_write_delta() increments %tick by the specified delta.  This should
- * only be called after a CPR event to assure that gethrtime() continues to
- * increase monotonically.  Obviously, writing %tick needs to de done very
- * carefully to avoid introducing unnecessary %tick skew across CPUs.  For
- * this reason, we make sure we're i-cache hot before actually writing to
- * %tick.
- */
-/*ARGSUSED*/
-void
-tick_write_delta(uint64_t delta)
-{}
-
-#else	/* lint */
-
 #ifdef DEBUG
 	.seg	".text"
 tick_write_panic:
@@ -350,19 +286,7 @@
 
 	retl				! Return
 	wrpr	%g0, %g1, %pstate	!     delay: Re-enable interrupts
-#endif	/* lint */
 
-#if defined(lint)
-/*
- *  return 1 if disabled
- */
-
-int
-tickcmpr_disabled(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY_NP(tickcmpr_disabled)
 	RD_TICKCMPR(%g1, %o0)
 	retl
@@ -369,23 +293,10 @@
 	srlx	%g1, TICKINT_DIS_SHFT, %o0
 	SET_SIZE(tickcmpr_disabled)
 
-#endif	/* lint */
-
 /*
  * Get current tick
  */
-#if defined(lint)
 
-u_longlong_t
-gettick(void)
-{ return (0); }
-
-u_longlong_t
-randtick(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(gettick)
 	ALTENTRY(randtick)
 	GET_NATIVE_TIME(%o0, %o2, %o3)
@@ -394,21 +305,11 @@
 	SET_SIZE(randtick)
 	SET_SIZE(gettick)
 
-#endif	/* lint */
 
-
 /*
  * Return the counter portion of the tick register.
  */
 
-#if defined(lint)
-
-uint64_t
-gettick_counter(void)
-{ return(0); }
-
-#else	/* lint */
-
 	ENTRY_NP(gettick_counter)
 	rdpr	%tick, %o0
 	sllx	%o0, 1, %o0
@@ -415,7 +316,6 @@
 	retl
 	srlx	%o0, 1, %o0		! shake off npt bit
 	SET_SIZE(gettick_counter)
-#endif	/* lint */
 
 /*
  * Provide a C callable interface to the trap that reads the hi-res timer.
@@ -422,65 +322,6 @@
  * Returns 64-bit nanosecond timestamp in %o0 and %o1.
  */
 
-#if defined(lint)
-
-hrtime_t
-gethrtime(void)
-{
-	return ((hrtime_t)0);
-}
-
-hrtime_t
-gethrtime_unscaled(void)
-{
-	return ((hrtime_t)0);
-}
-
-hrtime_t
-gethrtime_max(void)
-{
-	return ((hrtime_t)0);
-}
-
-void
-scalehrtime(hrtime_t *hrt)
-{
-	*hrt = 0;
-}
-
-void
-gethrestime(timespec_t *tp)
-{
-	tp->tv_sec = 0;
-	tp->tv_nsec = 0;
-}
-
-time_t
-gethrestime_sec(void)
-{
-	return (0);
-}
-
-void
-gethrestime_lasttick(timespec_t *tp)
-{
-	tp->tv_sec = 0;
-	tp->tv_nsec = 0;
-}
-
-/*ARGSUSED*/
-void
-hres_tick(void)
-{
-}
-
-void
-panic_hres_tick(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(gethrtime)
 	GET_HRTIME(%g1, %o0, %o1, %o2, %o3, %o4, %o5, %g2)
 							! %g1 = hrtime
@@ -772,10 +613,6 @@
 
 	SET_SIZE(hres_tick)
 
-#endif	/* lint */
-
-#if !defined(lint) && !defined(__lint)
-
 	.seg	".text"
 kstat_q_panic_msg:
 	.asciz	"kstat_q_exit: qlen == 0"
@@ -885,20 +722,6 @@
 	KSTAT_Q_UPDATE(add, BRZPT, 1f, 1:retl, KSTAT_IO_W)
 	SET_SIZE(kstat_runq_back_to_waitq)
 
-#endif	/* !(lint || __lint) */
-
-#ifdef lint	
-
-int64_t timedelta;
-hrtime_t hres_last_tick;
-volatile timestruc_t hrestime;
-int64_t hrestime_adj;
-volatile int hres_lock;
-uint_t nsec_scale;
-hrtime_t hrtime_base;
-int traptrace_use_stick;
-
-#else	/* lint */
 	/*
 	 *  -- WARNING --
 	 *
@@ -936,9 +759,7 @@
 adj_shift:
 	.word	ADJ_SHIFT
 
-#endif	/* lint */
 
-
 /*
  * drv_usecwait(clock_t n)	[DDI/DKI - section 9F]
  * usec_delay(int n)		[compatibility - should go one day]
@@ -958,20 +779,6 @@
  * We chose less code duplication for this.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-drv_usecwait(clock_t n)
-{}
-
-/*ARGSUSED*/
-void
-usec_delay(int n)
-{}
-
-#else	/* lint */
-
 	ENTRY(drv_usecwait)
 	ALTENTRY(usec_delay)
 	brlez,a,pn %o0, 0f
@@ -996,17 +803,7 @@
 	nop
 	SET_SIZE(usec_delay)
 	SET_SIZE(drv_usecwait)
-#endif	/* lint */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-pil14_interrupt(int level)
-{}
-
-#else	/* lint */
-
 /*
  * Level-14 interrupt prologue.
  */
@@ -1096,17 +893,6 @@
 	nop
 	SET_SIZE(tick_rtt)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-pil15_interrupt(int level)
-{}
-
-#else  /* lint */
-
 /*
  * Level-15 interrupt prologue.
  */
@@ -1124,19 +910,6 @@
        stn     %g0, [%g1 + CPU_CPCPROFILE_UPC] ! zero user PC
        SET_SIZE(pil15_interrupt)
 
-#endif /* lint */
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-uint64_t
-find_cpufrequency(volatile uchar_t *clock_ptr)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 #ifdef DEBUG
 	.seg	".text"
 find_cpufreq_panic:
@@ -1184,24 +957,6 @@
 	sub	%o5, %o3, %o0		! return the difference in ticks
 	SET_SIZE(find_cpufrequency)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * Prefetch a page_t for write or read, this assumes a linear
- * scan of sequential page_t's.
- */
-/*ARGSUSED*/
-void
-prefetch_page_w(void *pp)
-{}
-
-/*ARGSUSED*/
-void
-prefetch_page_r(void *pp)
-{}
-#else	/* lint */
-
 #if defined(CHEETAH) || defined(CHEETAH_PLUS) || defined(JALAPENO) || \
 	defined(SERRANO)
 	!
@@ -1358,18 +1113,6 @@
 
 #endif	/* OLYMPUS_C */
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * Prefetch struct smap for write. 
- */
-/*ARGSUSED*/
-void
-prefetch_smap_w(void *smp)
-{}
-#else	/* lint */
-
 #if defined(CHEETAH) || defined(CHEETAH_PLUS) || defined(JALAPENO) || \
 	defined(SERRANO)
 
@@ -1421,20 +1164,8 @@
 	prefetch	[%o0-SMAP_STRIDE], #n_writes
 	SET_SIZE(prefetch_smap_w)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-uint64_t
-getidsr(void)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY_NP(getidsr)
 	retl
 	ldxa	[%g0]ASI_INTR_DISPATCH_STATUS, %o0
 	SET_SIZE(getidsr)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/cpu/opl_olympus_asm.s	Thu Nov 14 19:00:39 2019
+++ new/usr/src/uts/sun4u/cpu/opl_olympus_asm.s	Thu Nov 14 19:00:39 2019
@@ -25,9 +25,7 @@
  * Assembly code support for the Olympus-C module
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -67,15 +65,6 @@
  * SPARC64-VI MMU and Cache operations.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vtag_flushpage(caddr_t vaddr, uint64_t sfmmup)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushpage)
 	/*
 	 * flush page from the tlb
@@ -144,17 +133,7 @@
 	wrpr	%g0, %o5, %pstate		/* enable interrupts */
 	SET_SIZE(vtag_flushpage)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-void
-vtag_flushall(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP2(vtag_flushall, demap_all)
 	/*
 	 * flush the tlb
@@ -169,18 +148,7 @@
 	SET_SIZE(demap_all)
 	SET_SIZE(vtag_flushall)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vtag_flushpage_tl1(uint64_t vaddr, uint64_t sfmmup)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushpage_tl1)
 	/*
 	 * x-trap to flush page from tlb and tsb
@@ -225,18 +193,7 @@
 	retry
 	SET_SIZE(vtag_flushpage_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vtag_flush_pgcnt_tl1(uint64_t vaddr, uint64_t sfmmup_pgcnt)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flush_pgcnt_tl1)
 	/*
 	 * x-trap to flush pgcnt MMU_PAGESIZE pages from tlb
@@ -315,18 +272,7 @@
 	retry
 	SET_SIZE(vtag_flush_pgcnt_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-vtag_flushall_tl1(uint64_t dummy1, uint64_t dummy2)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushall_tl1)
 	/*
 	 * x-trap to flush tlb
@@ -337,9 +283,7 @@
 	retry
 	SET_SIZE(vtag_flushall_tl1)
 
-#endif	/* lint */
 
-
 /*
  * VAC (virtual address conflict) does not apply to OPL.
  * VAC resolution is managed by the Olympus processor hardware.
@@ -346,81 +290,27 @@
  * As a result, all OPL VAC flushing routines are no-ops.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushpage(pfn_t pfnum, int vcolor)
-{}
-
-#else	/* lint */
-
 	ENTRY(vac_flushpage)
 	retl
 	  nop
 	SET_SIZE(vac_flushpage)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushpage_tl1(uint64_t pfnum, uint64_t vcolor)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vac_flushpage_tl1)
 	retry
 	SET_SIZE(vac_flushpage_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushcolor(int vcolor, pfn_t pfnum)
-{}
-
-#else	/* lint */
-
 	ENTRY(vac_flushcolor)
 	retl
 	 nop
 	SET_SIZE(vac_flushcolor)
 
-#endif  /* lint */
 
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushcolor_tl1(uint64_t vcolor, uint64_t pfnum)
-{}
-
-#else	/* lint */
-
 	ENTRY(vac_flushcolor_tl1)
 	retry
 	SET_SIZE(vac_flushcolor_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-int
-idsr_busy(void)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 /*
  * Determine whether or not the IDSR is busy.
  * Entry: no arguments
@@ -437,22 +327,6 @@
 	nop
 	SET_SIZE(idsr_busy)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-init_mondo(xcfunc_t *func, uint64_t arg1, uint64_t arg2)
-{}
-
-/* ARGSUSED */
-void
-init_mondo_nocheck(xcfunc_t *func, uint64_t arg1, uint64_t arg2)
-{}
-
-#else	/* lint */
-
 	.global _dispatch_status_busy
 _dispatch_status_busy:
 	.asciz	"ASI_INTR_DISPATCH_STATUS error: busy"
@@ -506,18 +380,7 @@
 	SET_SIZE(init_mondo_nocheck)
 	SET_SIZE(init_mondo)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-shipit(int upaid, int bn)
-{ return; }
-
-#else	/* lint */
-
 /*
  * Ship mondo to aid using busy/nack pair bn
  */
@@ -532,18 +395,7 @@
 	nop
 	SET_SIZE(shipit)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-flush_instr_mem(caddr_t vaddr, size_t len)
-{}
-
-#else	/* lint */
-
 /*
  * flush_instr_mem:
  *	Flush 1 page of the I-$ starting at vaddr
@@ -563,9 +415,7 @@
 	nop
 	SET_SIZE(flush_instr_mem)
 
-#endif	/* lint */
 
-
 /*
  * flush_ecache:
  *	%o0 - 64 bit physical address
@@ -572,15 +422,7 @@
  *	%o1 - ecache size
  *	%o2 - ecache linesize
  */
-#if defined(lint)
 
-/*ARGSUSED*/
-void
-flush_ecache(uint64_t physaddr, size_t ecache_size, size_t ecache_linesize)
-{}
-
-#else /* !lint */
-
 	ENTRY(flush_ecache)
 
 	/*
@@ -591,19 +433,6 @@
 	nop
 	SET_SIZE(flush_ecache)
 
-#endif /* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-kdi_flush_idcache(int dcache_size, int dcache_lsize, int icache_size,
-    int icache_lsize)
-{
-}
-
-#else	/* lint */
-
 	/*
 	 * I/D cache flushing is not needed for OPL processors
 	 */
@@ -612,8 +441,6 @@
 	nop
 	SET_SIZE(kdi_flush_idcache)
 
-#endif	/* lint */
-
 #ifdef	TRAPTRACE
 /*
  * Simplified trap trace macro for OPL. Adapted from us3.
@@ -1001,7 +828,6 @@
  * registers.
  */
 
-#if !defined(lint)
 #define	RESET_MMU_REGS(tmp1, tmp2, tmp3)			\
 	FLUSH_ALL_TLB(tmp1)					;\
 	set	MMU_PCONTEXT, tmp1				;\
@@ -1023,7 +849,6 @@
 	stxa	%g0, [tmp]ASI_IMMU				;\
 	stxa	%g0, [tmp]ASI_DMMU				;\
 	membar	#Sync
-#endif /* lint */
 
 /*
  * In case of errors in the MMU_TSB_PREFETCH registers we have to
@@ -1031,7 +856,6 @@
  * the "V" bit of the registers to 0, which will disable the prefetch
  * so the values of the other fields are irrelevant.
  */
-#if !defined(lint)
 #define	RESET_TSB_PREFETCH(tmp)			\
 	set	VA_UTSBPREF_8K, tmp 		;\
 	stxa	%g0, [tmp]ASI_ITSB_PREFETCH	;\
@@ -1049,7 +873,6 @@
 	stxa	%g0, [tmp]ASI_DTSB_PREFETCH	;\
 	set	VA_KTSBPREF_4M, tmp 		;\
 	stxa	%g0, [tmp]ASI_DTSB_PREFETCH
-#endif /* lint */
 
 /*
  * In case of errors in the MMU_SHARED_CONTEXT register we have to
@@ -1057,11 +880,9 @@
  * 0 in the IV field disabling the shared context support, and
  * making values of all the other fields of the register irrelevant.
  */
-#if !defined(lint)
 #define	RESET_SHARED_CTXT(tmp)			\
 	set	MMU_SHARED_CONTEXT, tmp		;\
 	stxa	%g0, [tmp]ASI_DMMU
-#endif /* lint */
 
 /*
  * RESET_TO_PRIV()
@@ -1125,14 +946,6 @@
 	wrpr	%g0, %tpc
 
 
-#if defined(lint)
-
-void
-ce_err(void)
-{}
-
-#else	/* lint */
-
 /*
  * We normally don't expect CE traps since we disable the
  * 0x63 trap reporting at the start of day. There is a
@@ -1160,17 +973,7 @@
 	sub	%g0, 1, %g4
 	SET_SIZE(ce_err)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-void
-ce_err_tl1(void)
-{}
-
-#else	/* lint */
-
 /*
  * We don't use trap for CE detection.
  */
@@ -1182,17 +985,7 @@
 	sub	%g0, 1, %g4
 	SET_SIZE(ce_err_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-void
-async_err(void)
-{}
-
-#else	/* lint */
-
 /*
  * async_err is the default handler for IAE/DAE traps.
  * For OPL, we patch in the right handler at start of day.
@@ -1207,14 +1000,6 @@
 	sub	%g0, 1, %g4
 	SET_SIZE(async_err)
 
-#endif	/* lint */
-
-#if defined(lint)
-void
-opl_sync_trap(void)
-{}
-#else	/* lint */
-
 	.seg	".data"
 	.global	opl_clr_freg
 	.global opl_cpu0_err_log
@@ -1401,13 +1186,7 @@
 	jmp	%g5 + %lo(sys_trap)
 	 mov	PIL_15, %g4
 	SET_SIZE(opl_sync_trap)
-#endif	/* lint */
 
-#if defined(lint)
-void
-opl_uger_trap(void)
-{}
-#else	/* lint */
 /*
  * Common Urgent error trap handler (tt=0x40)
  * All TL=0 and TL>0 0x40 traps vector to this handler.
@@ -1622,16 +1401,7 @@
 	jmp	%g5 + %lo(sys_trap)
 	 mov	PIL_15, %g4
 	SET_SIZE(opl_uger_trap)
-#endif	/* lint */
 
-#if defined(lint)
-void
-opl_ta3_trap(void)
-{}
-void
-opl_cleanw_subr(void)
-{}
-#else	/* lint */
 /*
  * OPL ta3 support (note please, that win_reg
  * area size for each cpu is 2^7 bytes)
@@ -1727,15 +1497,7 @@
 	jmp	%g7
 	  nop
 	SET_SIZE(opl_cleanw_subr)
-#endif	/* lint */
 
-#if defined(lint)
-
-void
-opl_serr_instr(void)
-{}
-
-#else	/* lint */
 /*
  * The actual trap handler for tt=0x0a, and tt=0x32
  */
@@ -1747,15 +1509,6 @@
 	.align  32
 	SET_SIZE(opl_serr_instr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-opl_ugerr_instr(void)
-{}
-
-#else	/* lint */
 /*
  * The actual trap handler for tt=0x40
  */
@@ -1766,15 +1519,6 @@
 	.align  32
 	SET_SIZE(opl_ugerr_instr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-opl_ta3_instr(void)
-{}
-
-#else	/* lint */
 /*
  * The actual trap handler for tt=0x103 (flushw)
  */
@@ -1785,15 +1529,6 @@
 	.align  32
 	SET_SIZE(opl_ta3_instr)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-opl_ta4_instr(void)
-{}
-
-#else	/* lint */
 /*
  * The patch for the .clean_windows code
  */
@@ -1807,20 +1542,6 @@
 	nop
 	SET_SIZE(opl_ta4_instr)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- *  Get timestamp (stick).
- */
-/* ARGSUSED */
-void
-stick_timestamp(int64_t *ts)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(stick_timestamp)
 	rd	STICK, %g1	! read stick reg
 	sllx	%g1, 1, %g1
@@ -1830,21 +1551,7 @@
 	stx	%g1, [%o0]	! store the timestamp
 	SET_SIZE(stick_timestamp)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * Set STICK adjusted by skew.
- */
-/* ARGSUSED */
-void
-stick_adj(int64_t skew)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(stick_adj)
 	rdpr	%pstate, %g1		! save processor state
 	andn	%g1, PSTATE_IE, %g3
@@ -1862,21 +1569,6 @@
 	wrpr	%g1, %pstate		! restore processor state
 	SET_SIZE(stick_adj)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * Debugger-specific stick retrieval
- */
-/*ARGSUSED*/
-int
-kdi_get_stick(uint64_t *stickp)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 	ENTRY_NP(kdi_get_stick)
 	rd	STICK, %g1
 	stx	%g1, [%o0]
@@ -1884,17 +1576,6 @@
 	mov	%g0, %o0
 	SET_SIZE(kdi_get_stick)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_blksuword32(uintptr_t addr, uint32_t *data, int tryagain)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_blksuword32)
 	save	%sp, -SA(MINFRAME + 4), %sp
 
@@ -1959,15 +1640,7 @@
 	restore
 
 	SET_SIZE(dtrace_blksuword32)
-#endif /* lint */
 
-#if defined(lint)
-/*ARGSUSED*/
-void
-ras_cntr_reset(void *arg)
-{
-}
-#else
 	ENTRY_NP(ras_cntr_reset)
 	set	OPL_SCRATCHPAD_ERRLOG, %o1
 	ldxa	[%o1]ASI_SCRATCHPAD, %o0
@@ -1975,16 +1648,7 @@
 	retl
 	 stxa	%o0, [%o1]ASI_SCRATCHPAD
 	SET_SIZE(ras_cntr_reset)
-#endif /* lint */
 
-#if defined(lint)
-/* ARGSUSED */
-void
-opl_error_setup(uint64_t cpu_err_log_pa)
-{
-}
-
-#else	/* lint */
 	ENTRY_NP(opl_error_setup)
 	/*
 	 * Initialize the error log scratchpad register
@@ -2007,15 +1671,7 @@
 	retl
 	  stxa	%o0, [%o1]ASI_AFSR
 	SET_SIZE(opl_error_setup)
-#endif /* lint */
 
-#if defined(lint)
-/* ARGSUSED */
-void
-cpu_early_feature_init(void)
-{
-}
-#else	/* lint */
 	ENTRY_NP(cpu_early_feature_init)
 	/*
 	 * Enable MMU translating multiple page sizes for
@@ -2035,18 +1691,7 @@
 	retl
 	  flush	%o1
 	SET_SIZE(cpu_early_feature_init)
-#endif /* lint */
 
-#if	defined(lint)
-/*
- * This function is called for each (enabled) CPU. We use it to
- * initialize error handling related registers.
- */
-/*ARGSUSED*/
-void
-cpu_feature_init(void)
-{}
-#else	/* lint */
 	ENTRY(cpu_feature_init)
 	!
 	! get the device_id and store the device_id
@@ -2064,15 +1709,7 @@
 	ba	opl_cpu_reg_init
 	nop
 	SET_SIZE(cpu_feature_init)
-#endif	/* lint */
 
-#if defined(lint)
-
-void
-cpu_cleartickpnt(void)
-{}
-
-#else	/* lint */
 	/*
 	 * Clear the NPT (non-privileged trap) bit in the %tick/%stick
 	 * registers. In an effort to make the change in the
@@ -2112,20 +1749,6 @@
 
 	SET_SIZE(cpu_clearticknpt)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-cpu_halt_cpu(void)
-{}
-
-void
-cpu_smt_pause(void)
-{}
-
-#else	/* lint */
-
 	/*
 	 * Halt the current strand with the suspend instruction.
 	 * The compiler/asm currently does not support this suspend
@@ -2148,4 +1771,3 @@
 	nop
 	SET_SIZE(cpu_smt_pause)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/cpu/opl_olympus_copy.s	Thu Nov 14 19:00:39 2019
+++ new/usr/src/uts/sun4u/cpu/opl_olympus_copy.s	Thu Nov 14 19:00:39 2019
@@ -33,9 +33,7 @@
 #include <sys/fsr.h>
 #include <sys/privregs.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 /*
  * Pseudo-code to aid in understanding the control flow of the
@@ -586,7 +584,6 @@
  * of the copy code to membar #Sync immediately after copy is complete
  * and before using the BLD_*_FROMSTACK macro.
  */
-#if !defined(lint)
 #define BST_FPQ1Q3_TOSTACK(tmp1)				\
 	/* membar #Sync	*/					;\
 	add	%fp, STACK_BIAS - SAVED_FPREGS_ADJUST, tmp1	;\
@@ -622,7 +619,6 @@
 	add	tmp1, VIS_BLOCKSIZE, tmp1			;\
 	ldda	[tmp1]ASI_BLK_P, %f48				;\
 	membar	#Sync
-#endif
 
 /*
  * FP_NOMIGRATE and FP_ALLOWMIGRATE.  Prevent migration (or, stronger,
@@ -692,15 +688,6 @@
  * Returns errno value on pagefault error, 0 if all ok
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kcopy(const void *from, void *to, size_t count)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".text"
 	.align	4
 
@@ -868,7 +855,6 @@
 	  mov	%g0, %o0			!
 
 	SET_SIZE(kcopy)
-#endif	/* lint */
 
 
 /*
@@ -879,15 +865,7 @@
  * Copy a page of memory.
  * Assumes double word alignment and a count >= 256.
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-bcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bcopy)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -1444,21 +1422,10 @@
 
 	SET_SIZE(bcopy_more)
 
-#endif	/* lint */
-
 /*
  * Block copy with possibly overlapped operands.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-ovbcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(ovbcopy)
 	tst	%o2			! check count
 	bgu,a	%ncc, 1f		! nothing to do or bad arguments
@@ -1502,9 +1469,7 @@
 
 	SET_SIZE(ovbcopy)
 
-#endif	/* lint */
 
-
 /*
  * hwblkpagecopy()
  *
@@ -1512,12 +1477,6 @@
  * has already disabled kernel preemption and has checked
  * use_hw_bcopy.  Preventing preemption also prevents cpu migration.
  */
-#ifdef lint
-/*ARGSUSED*/
-void
-hwblkpagecopy(const void *src, void *dst)
-{ }
-#else /* lint */
 	ENTRY(hwblkpagecopy)
 	! get another window w/space for three aligned blocks of saved fpregs
 	prefetch [%o0], #n_reads
@@ -1635,7 +1594,6 @@
 	  restore	%g0, 0, %o0
 
 	SET_SIZE(hwblkpagecopy)
-#endif	/* lint */
 
 
 /*
@@ -1694,10 +1652,6 @@
  * Copy kernel data to user space (copyout/xcopyout/xcopyout_little).
  */
 
-#if defined(lint)
-
-
-#else	/* lint */
 /*
  * We save the arguments in the following registers in case of a fault:
  *	kaddr - %l1
@@ -1764,17 +1718,6 @@
 	SET_SIZE(copyio_fault)
 
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyout)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -2390,18 +2333,7 @@
 
 	SET_SIZE(copyout_more)
 
-#endif	/* lint */
 
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout)
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
 	bleu,pt	%ncc, .xcopyout_small		! go to larger cases
@@ -2506,17 +2438,6 @@
 
 	SET_SIZE(xcopyout)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout_little(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout_little)
 	sethi	%hi(.xcopyio_err), %o5
 	or	%o5, %lo(.xcopyio_err), %o5
@@ -2547,21 +2468,10 @@
 
 	SET_SIZE(xcopyout_little)
 
-#endif	/* lint */
-
 /*
  * Copy user data to kernel space (copyin/xcopyin/xcopyin_little)
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyin)
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
 	bleu,pt	%ncc, .copyin_small		! go to larger cases
@@ -3168,17 +3078,6 @@
 
 	SET_SIZE(copyin_more)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3284,17 +3183,6 @@
 
 	SET_SIZE(xcopyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin_little(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin_little)
 	sethi	%hi(.xcopyio_err), %o5
 	or	%o5, %lo(.xcopyio_err), %o5
@@ -3331,21 +3219,11 @@
 
 	SET_SIZE(xcopyin_little)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyin_noerr(const void *ufrom, void *kto, size_t count)
-{}
-
-#else	/* lint */
 	ENTRY(copyin_noerr)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3429,7 +3307,6 @@
 	  nop
 
 	SET_SIZE(copyin_noerr)
-#endif /* lint */
 
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
@@ -3436,14 +3313,6 @@
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyout_noerr(const void *kfrom, void *uto, size_t count)
-{}
-
-#else	/* lint */
 	ENTRY(copyout_noerr)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3517,7 +3386,6 @@
 	  or	REAL_LOFAULT, %lo(.copyio_noerr), REAL_LOFAULT
 
 	SET_SIZE(copyout_noerr)
-#endif /* lint */
 
 
 /*
@@ -3528,14 +3396,6 @@
  * Caller is responsible for ensuring use_hw_bzero is true and that
  * kpreempt_disable() has been called.
  */
-#ifdef lint
-/*ARGSUSED*/
-int
-hwblkclr(void *addr, size_t len)
-{
-	return(0);
-}
-#else /* lint */
 	! %i0 - start address
 	! %i1 - length of region (multiple of 64)
 	! %l0 - saved fprs
@@ -3636,14 +3496,7 @@
 	  restore	%g0, 0, %o0		! return (bzero or not)
 
 	SET_SIZE(hwblkclr)
-#endif	/* lint */
 
-#ifdef lint
-/*ARGSUSED*/
-void
-hw_pa_bcopy32(uint64_t src, uint64_t dst)
-{}
-#else /*!lint */
 	/*
 	 * Copy 32 bytes of data from src (%o0) to dst (%o1)
 	 * using physical addresses.
@@ -3676,19 +3529,6 @@
 
 	SET_SIZE(hw_pa_bcopy32)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int use_hw_bcopy = 1;
-int use_hw_bzero = 1;
-uint_t hw_copy_limit_1 = 0;
-uint_t hw_copy_limit_2 = 0;
-uint_t hw_copy_limit_4 = 0;
-uint_t hw_copy_limit_8 = 0;
-
-#else /* !lint */
-
 	DGDEF(use_hw_bcopy)
 	.word	1
 	DGDEF(use_hw_bzero)
@@ -3704,4 +3544,3 @@
 
 	.align	64
 	.section ".text"
-#endif /* !lint */
